Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITreeExpansion

All Known Implementing Classes:
  BusinessTree, FTree

public interface ITreeExpansion

Interface fuer TreeExpansionEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TreeExpansionEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTreeExpansionListener(TreeExpansionListener listener)` Fuegt dem Control den uebergebenen Listener als TreeExpansionListener hinzu.
`String` | `getActionClassForTreeExpansion()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.
`void` | `removeTreeExpansionListener(TreeExpansionListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTreeExpansion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

Method Detail

### getActionClassForTreeExpansion

    public String getActionClassForTreeExpansion()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TreeExpansionEvent.

### setActionClassForTreeExpansion

    public void setActionClassForTreeExpansion(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeExpansionEvent.

### addTreeExpansionListener

    public void addTreeExpansionListener(TreeExpansionListener listener)

  Fuegt dem Control den uebergebenen Listener als TreeExpansionListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TreeExpansionListener.

### removeTreeExpansionListener

    public void removeTreeExpansionListener(TreeExpansionListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD